Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.poi.hssf.record
Class CodepageRecord

    java.lang.Object
      org.apache.poi.hssf.record.RecordBase
          org.apache.poi.hssf.record.Record
              org.apache.poi.hssf.record.StandardRecord
                  org.apache.poi.hssf.record.CodepageRecord

    public final class CodepageRecord

extends StandardRecord

Title: Codepage Record

Description: the default characterset. for the workbook

REFERENCE: PG 293 Microsoft Excel 97 Developer's Kit (ISBN: 1-57231-498-2)

Version:
  2.0-pre
Author:
  Andrew C. Oliver (acoliver at apache dot org)

Field Summary
`static short` | `CODEPAGE` the likely correct value for CODEPAGE (at least for US versions).
`static short` | `sid`

Constructor Summary
`CodepageRecord()`
`CodepageRecord(RecordInputStream in)`

Method Summary
`short` | `getCodepage()` get the codepage for this workbook
`short` | `getSid()` return the non static version of the id for this record.
`void` | `serialize(LittleEndianOutput out)` Write the data content of this BIFF record.
`void` | `setCodepage(short cp)` set the codepage for this workbook
`java.lang.String` | `toString()` get a string representation of the record (for biffview/debugging)

Methods inherited from class org.apache.poi.hssf.record.StandardRecord
`getRecordSize, serialize`

Methods inherited from class org.apache.poi.hssf.record.Record
`clone, cloneViaReserialise, serialize`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### sid

    public static final short sid

See Also:
  Constant Field Values

### CODEPAGE

    public static final short CODEPAGE

  the likely correct value for CODEPAGE (at least for US versions). We could use some help with international versions (which we do not have access to documentation for)

  See Also:
    Constant Field Values

Constructor Detail

### CodepageRecord

    public CodepageRecord()

### CodepageRecord

    public CodepageRecord(RecordInputStream in)

Method Detail

### setCodepage

    public void setCodepage(short cp)

  set the codepage for this workbook

  Parameters:
    `cp` - the codepage to set
  See Also:
    `CODEPAGE`

### getCodepage

    public short getCodepage()

  get the codepage for this workbook

  Returns:
    codepage - the codepage to set
  See Also:
    `CODEPAGE`

### toString

    public java.lang.String toString()

  Description copied from class: `Record`
  get a string representation of the record (for biffview/debugging)

  Overrides:
    `toString` in class `Record`

### serialize

    public void serialize(LittleEndianOutput out)

  Description copied from class: `StandardRecord`
  Write the data content of this BIFF record. The 'ushort sid' and 'ushort size' header fields have already been written by the superclass.
  The number of bytes written must equal the record size reported by `RecordBase.getRecordSize()`} minus four ( record header consiting of a 'ushort sid' and 'ushort reclength' has already been written by thye superclass).

### getSid

    public short getSid()

  Description copied from class: `Record`
  return the non static version of the id for this record.

  Specified by:
    `getSid` in class `Record`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD